What games need patching before playing b/c of protection?

Discussion in 'NDS - ROM Hacking and Translations' started by just4, Jun 10, 2009.

  1. just4
    OP

    Newcomer just4 Newbie

    Joined:
    Dec 31, 2008
    Messages:
    9
    Country:
    Canada
    Is there a list somewhere of games that need patching, because I couldn't find it. And if you know, do any of these games need them? Thanks!

    Etrian Odyssey
    The World Ends With You
    Final Fantasy 4
    Disgaea The Hour of Darkness
    Valkyrie Profile Covenant of the Plume
    The Dark Spire
    Knights in the Nightmare
     
  2. DarthNemesis

    Member DarthNemesis GBAtemp Maniac

    Joined:
    Feb 19, 2008
    Messages:
    1,208
    Country:
    United States
  3. just4
    OP

    Newcomer just4 Newbie

    Joined:
    Dec 31, 2008
    Messages:
    9
    Country:
    Canada
    Thanks, its a CycloDS Evolution, hopefully that board moves fast [​IMG]
     
  4. elixirdream

    Member elixirdream GBAtemp Legend

    Joined:
    May 27, 2008
    Messages:
    10,007
    Location:
    6th Dimention
    Country:
    Malaysia
    NO! they don't need any patch because there isn't any protection!
    cyclo? then you better update your firmware! your firmware must be from stone age
     
  5. gamerjr

    Member gamerjr GBAtemp Regular

    Joined:
    Jan 7, 2008
    Messages:
    247
    Country:
    United States
    Kingdom Hearts; and i take offence to that comment above... M3 DS simply doesnt have any more updates so i rely on patches. Also Chrono Trigger and i Believe the Sonic RPG.
     
  6. elixirdream

    Member elixirdream GBAtemp Legend

    Joined:
    May 27, 2008
    Messages:
    10,007
    Location:
    6th Dimention
    Country:
    Malaysia
    WE ARE TALKING ABOUT THESE GAMES AND CYCLODS (since when m3 simply was in discussion)
    READ BEFORE YOU COMMENT
     
  7. flame6753

    Newcomer flame6753 Advanced Member

    Joined:
    Apr 9, 2009
    Messages:
    87
    Location:
    Tri-State
    Country:
    United States
    sonic chronicles and chrono trigger run fine un-patched on old firmware.
     
  8. Cavedude

    Member Cavedude GBAtemp Regular

    Joined:
    May 17, 2008
    Messages:
    189
    Country:
    United States
    lol. Yeah just Update to 1.55b and your fine, or b2. Drag and drop the updates to the root of your memory card : )
     
  9. TheDarkSeed

    Member TheDarkSeed I'm a pretentious sack of shit

    Joined:
    May 11, 2009
    Messages:
    1,180
    Location:
    Carson
    Country:
    United States
    every game will need patching soon enough...
     

Share This Page